
_systemInit:

;Step_Up_Click_AVR.c,26 :: 		void systemInit()
;Step_Up_Click_AVR.c,28 :: 		CS_PIN_DIR = 1;
	PUSH       R2
	PUSH       R3
	PUSH       R4
	IN         R27, DDA5_bit+0
	SBR        R27, BitMask(DDA5_bit+0)
	OUT        DDA5_bit+0, R27
;Step_Up_Click_AVR.c,30 :: 		SPI1_Init_Advanced(_SPI_MASTER, _SPI_FCY_DIV32, _SPI_CLK_LO_LEADING);
	CLR        R4
	LDI        R27, 6
	MOV        R3, R27
	LDI        R27, 16
	MOV        R2, R27
	CALL       _SPI1_Init_Advanced+0
;Step_Up_Click_AVR.c,33 :: 		CS_PIN = 1;
	IN         R27, PORTA5_bit+0
	SBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,35 :: 		delay_ms(3000);
	LDI        R18, 122
	LDI        R17, 193
	LDI        R16, 130
L_systemInit0:
	DEC        R16
	BRNE       L_systemInit0
	DEC        R17
	BRNE       L_systemInit0
	DEC        R18
	BRNE       L_systemInit0
	NOP
	NOP
;Step_Up_Click_AVR.c,37 :: 		}
L_end_systemInit:
	POP        R4
	POP        R3
	POP        R2
	RET
; end of _systemInit

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;Step_Up_Click_AVR.c,38 :: 		void main()
;Step_Up_Click_AVR.c,40 :: 		systemInit();
	PUSH       R2
	CALL       _systemInit+0
;Step_Up_Click_AVR.c,42 :: 		while (1)
L_main2:
;Step_Up_Click_AVR.c,44 :: 		delay_ms(3000);
	LDI        R18, 122
	LDI        R17, 193
	LDI        R16, 130
L_main4:
	DEC        R16
	BRNE       L_main4
	DEC        R17
	BRNE       L_main4
	DEC        R18
	BRNE       L_main4
	NOP
	NOP
;Step_Up_Click_AVR.c,46 :: 		CS_PIN = 0;       //Sets chip select to active
	IN         R27, PORTA5_bit+0
	CBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,47 :: 		Spi1_Write(0b01110000);
	LDI        R27, 112
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,48 :: 		Spi1_Write(0b00000000);
	CLR        R2
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,49 :: 		CS_PIN = 1;       //Sets chip select to inactive
	IN         R27, PORTA5_bit+0
	SBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,51 :: 		delay_ms(3000);
	LDI        R18, 122
	LDI        R17, 193
	LDI        R16, 130
L_main6:
	DEC        R16
	BRNE       L_main6
	DEC        R17
	BRNE       L_main6
	DEC        R18
	BRNE       L_main6
	NOP
	NOP
;Step_Up_Click_AVR.c,54 :: 		CS_PIN = 0;       //Sets chip select to active
	IN         R27, PORTA5_bit+0
	CBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,55 :: 		Spi1_Write(0b01111111);
	LDI        R27, 127
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,56 :: 		Spi1_Write(0b11111111);
	LDI        R27, 255
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,57 :: 		CS_PIN = 1;       //Sets chip select to inactive
	IN         R27, PORTA5_bit+0
	SBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,59 :: 		delay_ms(3000);
	LDI        R18, 122
	LDI        R17, 193
	LDI        R16, 130
L_main8:
	DEC        R16
	BRNE       L_main8
	DEC        R17
	BRNE       L_main8
	DEC        R18
	BRNE       L_main8
	NOP
	NOP
;Step_Up_Click_AVR.c,61 :: 		CS_PIN = 0;       //Sets chip select to active
	IN         R27, PORTA5_bit+0
	CBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,62 :: 		Spi1_Write(0b01110111);
	LDI        R27, 119
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,63 :: 		Spi1_Write(0b01000000);
	LDI        R27, 64
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,64 :: 		CS_PIN = 1;       //Sets chip select to inactive
	IN         R27, PORTA5_bit+0
	SBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,66 :: 		delay_ms(3000);
	LDI        R18, 122
	LDI        R17, 193
	LDI        R16, 130
L_main10:
	DEC        R16
	BRNE       L_main10
	DEC        R17
	BRNE       L_main10
	DEC        R18
	BRNE       L_main10
	NOP
	NOP
;Step_Up_Click_AVR.c,68 :: 		CS_PIN = 0;       //Sets chip select to active
	IN         R27, PORTA5_bit+0
	CBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,69 :: 		Spi1_Write(0b01110100);
	LDI        R27, 116
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,70 :: 		Spi1_Write(0b00011111);
	LDI        R27, 31
	MOV        R2, R27
	CALL       _SPI1_Write+0
;Step_Up_Click_AVR.c,71 :: 		CS_PIN = 1;       //Sets chip select to inactive
	IN         R27, PORTA5_bit+0
	SBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;Step_Up_Click_AVR.c,72 :: 		}
	JMP        L_main2
;Step_Up_Click_AVR.c,73 :: 		}
L_end_main:
	POP        R2
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
